//============================================================
//============================================================
//==														==
//==					AnimCursor Header					==
//==														==
//============================================================
//============================================================


//========================================================  Defines  

#define	rAcurID					128
#define rHandCursorID			1000


//========================================================  Structs  

typedef struct									// defines acur format 
{
	short			n;
	short			index;
	union
	{
		Handle		cursorHdl;
		short		resID;
	} frame[1];
} acurRec, *acurPtr, **acurHandle;


//========================================================  Prototypes  

Boolean GetMonoCursors (acurHandle);
Boolean GetColorCursors (acurHandle);
void InitAnimatedCursor (acurHandle);
void LoadCursors (void);
void DisposCursors (void);
void IncrementCursor (void);
void DecrementCursor (void);
void SpinCursor (short);
void BackSpinCursor (short);


//========================================================  External Variables  

extern Cursor		handCursor;
extern Boolean		isColor;

