//============================================================
//============================================================
//==														==
//==				Common Person Header					==
//==														==
//============================================================
//============================================================


//========================================================  Prototypes  

void PersonRectFromPosition (playerType *);
void ResetPerson (playerType *);
void StartPersonBeamOut (playerType *);
void MovePerson (playerType *);
void OpponentDecides (playerType *);
void DoPersonInArena (playerType *);
void DoPersonBeamingIn (playerType *);
void DoPersonBeamingOut (playerType *);
void PersonStasisToBeamIn (playerType *);
void DoPersonInStasis (playerType *);
void HandlePerson (playerType *);


//========================================================  External Variables 

extern ballType			theBall;
extern WindowPtr		mainWndo;
extern RGBColor			RGBBlackColor, RGBWhiteColor;
extern RgnHandle		screenRgn;
extern GrafPtr			offMaskPort;
extern BitMap			offMaskMap;
extern CGrafPort		offCPartsPort, offCWorkPort;
extern CGrafPtr			offCPartsPtr, offCWorkPtr;
extern BitMap			offPartsBits, offWorkBits;
extern Rect				offPartsRect, offWorkRect, offMaskRect;
extern Rect				playerSrcRects[9][3], opponentSrcRects[9][3];
extern Rect				fadeMaskRects[9][3];
extern long				playerSrcAddrs[9][3], fadeMaskAddrs[9][3], opponentSrcAddrs[9][3];
extern long				maskAddrs[9][3];
extern short			arenaSize, displayMode, displayHCenter, displayVCenter;
extern short			screenHigh, screenWide, whosGotBall, leftGoalLeague;
extern short			rightGoalLeague;
extern short			vertTable[41][81];
extern short			*littleForceTable, *juniorForceTable, *varsityForceTable;
extern short			*minorForceTable, *proForceTable;
extern short			fadeMaskSequence[69];
extern Boolean			leftGoalIsPlayers, netGameInSession, drawThisFrame;

