/*============================================================*/
/*============================================================*/
/*==														==*/
/*==				Initialization Routines					==*/
/*==														==*/
/*============================================================*/
/*============================================================*/


/*========================================================  Prototypes  */

void ToolBoxInit (void);
void BitMapInit (void);
void PixMap4Init (void);
void MaskMapInit (void);
void MaskPixInit (void);
void GetBaseAddressC (void);
void GetBaseAddress1 (void);
void LoadSounds (void);
void SpeedTest (void);
void InitializeAll (void);


/*========================================================  Globals  */

extern ballType			theBall;
extern playerType		thePlayer;
extern playerType		theOpponent;
extern doorType			theDoor;
extern digiDispType		scoreDisplays[2];
extern cursorType		boardCursor;
extern macEnvironment	thisMac;
extern EventRecord		theEvent;
										/* offscreen variables */
extern GrafPtr			offBackPtr, offPartsPtr, offWorkPtr, offMaskPtr;
extern BitMap			offBackBits, offPartsBits, offWorkBits, offMaskMap;
extern CGrafPort		offCBackPort, offCPartsPort, offCWorkPort, offCMaskPort;
extern CGrafPtr			offCBackPtr, offCPartsPtr, offCWorkPtr, offCMaskPtr;
extern Ptr				offBackPix, offPartsPix, offWorkPix, offMaskPix;
extern Rect				offBackRect, offPartsRect, offWorkRect, offMaskRect;
extern Rect				leftArrowStorage, rightArrowStorage;
extern Rect				colonDest, replayRect, rightArrowDest, leftArrowDest;
extern Rect				playerSrcRects[9][3], fadeMaskRects[9][3], opponentSrcRects[9][3];
extern Rect				colonSrc[2];
extern long				screenBase, replaySrc, replayDest;
extern long				insetBytes;
extern long				ballSrcAddr, ballMaskAddr;
extern long				playerSrcAddrs[9][3], fadeMaskAddrs[9][3], opponentSrcAddrs[9][3];
extern long				maskAddrs[9][3];
extern long				screenRowAddrs[480], workRowOffsets[480];
extern short			workRowBytes, backRowBytes, partsRowBytes, soundFileRefNum;
extern short			screenRowBytes, maskCRowBytes, maskRowBytes, soundVolume;
extern short			displayMode, screenWide, screenHigh, isDepth, wasSoundVolume;
extern short			soundPriorities[kMaxNumberOfSounds];
extern Boolean			inBackground, smsActivated;
extern Boolean			useQD, isColor, canNetwork, netOnly;
extern Boolean			soundLoaded[kMaxNumberOfSounds];
extern Boolean			incidentSoundLoaded[kMaxIncidentalSounds];
