/*============================================================*/
/*============================================================*/
/*==														==*/
/*==					PlayerStats Header					==*/
/*==														==*/
/*============================================================*/
/*============================================================*/


/*========================================================  Defines  */

#define rStatsDialogID			1004
#define rEraseStatsAlertID		1005

#define kStatsPopMenuID			1000

#define kTitles1PictID			1030
#define kTallys1PictID			1031
#define kDefeated1PictID		1032
#define kX1PictID				1033
#define kCheck1PictID			1034
#define kTitles4PictID			1040
#define kTallys4PictID			1041
#define kDefeated4PictID		1042
#define kX4PictID				1043
#define kCheck4PictID			1044

#define kStatsOkay				1
#define kStatsTitles			2
#define kStatsTallys			3
#define kStatsDefeated			4
#define	kStatsBalloon			5
#define kStatsPopUp				6
#define kStatsErase				9

#define kEraseStatsOkay			1

#define kStatsTitleLeft			6
#define kStatsTitleTop			16


/*========================================================  Prototypes  */

void EraseStats (short);
void DrawStatsPopUpItem (void);
void DrawStatsPopUp (void);
void RedrawStatValues (void);
void UpdateStatsDialog (DialogPtr);
void DoStatsPopUpSelect (DialogPtr);
pascal Boolean StatsFilter (DialogPtr, EventRecord *, short *);
Boolean DoPlayerStats (void);
void ResetWorldRecords (void);


/*========================================================  External Variables  */

extern statType		theStats[10];
extern string31		theNames[10];
extern string31		mostTitlesName, mostPointsName;
extern string31		mostFoulsName, mostCritsName;
extern Rect			teamsPopUpRect;
extern MenuHandle	teamsPopUp;
extern long			mostTitlesDate, mostPointsDate;
extern long			mostFoulsDate, mostCritsDate;
extern short		mostTitles, mostPoints, mostFouls, mostCrits;
extern short		teamsPopUpWidth, popUpItemSelected, whichHumanNumber;
extern short		teaksThreshholds[10];
extern Boolean		isColor, doZooms;


