/*============================================================*/
/*============================================================*/
/*==														==*/
/*==					Team Set-Up Header					==*/
/*==														==*/
/*============================================================*/
/*============================================================*/


/*========================================================  Defines  */

#define rTeamsDialogID			1000
#define kTeamsPopMenuID			1000

#define kButtItemOkay			1
#define kButtItemCancel			2
#define	kUserPopUpItem			3
#define kUserIconItem			4
#define kGeorgeIconItem			5
#define kMaraIconItem			6
#define kOttoIconItem			7
#define kClaireIconItem			8
#define kEazeIconItem			9
#define kTeakIconItem			10
#define kNetIconItem			11
#define kLeftStandItem			12
#define kRightStandItem			13
#define kPowBalloonItem			14
#define kStandsItem				15
#define kSeperatorItem			16
#define kArenaFrameItem			17
#define kCheckTeamsAuto			18



#define kTeamsTitleLeft			6
#define kTeamsTitleTop			16
#define rTeamsStandPictID1		2002
#define rTeamsStandPictID4		2003
#define rTeamsSeperatorPictID1	2004
#define rTeamsSeperatorPictID4	2005


/*========================================================  Prototypes  */

void WhosOnFirst (void);
void UpdateLeftStand (DialogPtr);
void UpdateRightStand (DialogPtr);
void DrawTeamsPopUpItem (void);
void DrawTeamsPopUp (void);
void RedrawStandNames (DialogPtr);
void RedrawNetIcon (DialogPtr);
void GrayOutIcons (DialogPtr);
void UpdateTeamsDialog (DialogPtr);
void DoDragIcon (DialogPtr, Point, short);
void DoTeamsPopUpSelect (void);
void SwapLeftAndRightSelected (DialogPtr);
pascal Boolean TeamsFilter (DialogPtr, EventRecord *, short *);
Boolean DoTeamsSetUp (void);


/*========================================================  Globals  */

extern playerType		thePlayer;
extern playerType		theOpponent;
extern string31			theNames[10];
extern Cursor			handCursor;
extern short			whichHumanNumber, leftPlayerNumber, rightPlayerNumber, arenaSize;
extern short			whichGame, leftGoalLeague, rightGoalLeague, isLeague, theirLeague;
extern Boolean			isColor, autoTeamsDialog, canNetwork, leftGoalIsPlayers;
extern Boolean			disableBoardCursor, netGameInSession, doZooms;

