//============================================================
//============================================================
//==														==
//==						Ball Header						==
//==														==
//============================================================
//============================================================


//========================================================  Defines  

#define	kInitBallFiringTime		120		// Ball constants 


//========================================================  Prototypes  

void BallRectFromPosition (void);
void ResetBall (void);
void DoAFoul (void);
void DoBallFiring (void);
void MoveRollingBall (void);
void DoBallInGoal (void);
void DoBallRolling (void);
void HandleBall (void);


//========================================================  External Variables 

extern playerType		thePlayer, theOpponent;
extern ballType			theBall;
extern doorType			theDoor;
extern WindowPtr		mainWndo;
extern RGBColor			RGBBlackColor, RGBWhiteColor;
extern RgnHandle		screenRgn;
extern GrafPtr			offMaskPort;
extern BitMap			offMaskMap;
extern CGrafPort		offCPartsPort, offCWorkPort;
extern CGrafPtr			offCPartsPtr, offCWorkPtr;
extern BitMap			offPartsBits, offWorkBits;
extern Rect				offPartsRect, offWorkRect, offMaskRect;
extern long				oldDistSquared;
extern short			arenaSize, displayMode, displayHCenter, screenWide, screenHigh;
extern short			playerScore, opponentScore, whosGotBall, loopsBallHeld;
extern short			leftGoalLeague, rightGoalLeague;
extern short			vertTable[41][81];
extern short			*littleForceTable, *juniorForceTable, *varsityForceTable;
extern short			*minorForceTable, *proForceTable;
extern Boolean			leftGoalIsPlayers, leftScoredLast, drawThisFrame;


