/*============================================================*/
/*============================================================*/
/*==														==*/
/*==					Play Core Header					==*/
/*==														==*/
/*============================================================*/
/*============================================================*/


/*========================================================  Prototypes  */

void DoCommandKey (void);
void DoPausing (void);
void UnPauseGame (void);
void DoSpecial (void);
void DoSoundToggle (void);
void CheckAbortiveInput (void);
void HandleTimerEtc (void);
void RunGameOverGame (void);
void RunNetGameOverGame (void);
void RunNetGame (void);
void RunBoardinGame (void);
void RunScorinGame (void);
void RunStandardGame (void);
void PlayGame (void);


/*========================================================  External Variables */

extern playerType		thePlayer;
extern playerType		theOpponent;
extern ballType			theBall;
extern doorType			theDoor;
extern digiDispType		scoreDisplays[2];
extern replayType		*replayData;
extern statType			theStats[10];
extern string31			theNames[10];
extern soundQueue		crowdQueue, incidentalQueue;
extern KeyMap			theKeyMap;
extern EventRecord		theEvent;
extern WindowPtr		mainWndo;
extern RGBColor			RGBBlackColor, RGBWhiteColor;
extern RgnHandle		screenRgn;
extern GrafPtr			offMaskPort;
extern BitMap			offMaskMap;
extern CGrafPort		offCPartsPort, offCWorkPort;
extern CGrafPtr			offCPartsPtr, offCWorkPtr, offCBackPtr;
extern BitMap			offPartsBits, offWorkBits, offBackBits;
extern Rect				offPartsRect, offWorkRect, offMaskRect;
extern Rect				cameraRect, replayRect, colonDest, screenRect;
extern Rect				colonSrc[2];
extern long				timeElapsed, baseTime, wasTime, timePaused, replayFlag;
extern short			frameCounter, newFrameCount, lastFrameCount;
extern short			primaryMode, displayMode, screenWide, screenHigh, arenaSize;
extern short			displayHCenter, displayVCenter, whichGame, loopsBallHeld;
extern short			playerFouls, opponentFouls, whosGotBall, whichHumanNumber;
extern short			playerScore, opponentScore, lengthOfApplause;
extern short			leftPlayerNumber, rightPlayerNumber, loopDelay, wasLastSound;
extern short			masterSendSize, slaveSendSize, loopDelay, lengthOfMob;
extern short			droppedPackets, sentPackets, lastSoundPriority;
extern short			teaksThreshholds[10];
extern char				playerWonTheGame;
extern Boolean			pausing, quitting, useQD, isColor, leftScoredLast, gameIsOver;
extern Boolean			autoTeamsDialog, leftGoalIsPlayers, madeThePickUp, soundOn;
extern Boolean			netGameInSession, imTheMaster, playerJustScored, enableAnnouncer;
extern Boolean			canReplay, replayGoals, replayFouls, replayOnR, replaySomething;
extern Boolean			disableBoardCursor, smsActivated, newGame, enableBackground;
extern Boolean			soundLoaded[kMaxNumberOfSounds];

