/*============================================================*/
/*============================================================*/
/*==														==*/
/*==			Preferences Handling Header					==*/
/*==														==*/
/*============================================================*/
/*============================================================*/

#pragma once


/*========================================================  Constants  */

#define	kPrefCreatorType	'RenA'				/* creator type of prefs file */
#define	kPrefFileType		'renP'				/* file type of prefs file */
#define	kPrefFileName		"\pPara Prefs"		/* name of prefs file */
#define	kDefaultPrefFName	"\pPreferences"		/* name for pref folder if error */

#define rPrefsStringsID		160					/* resource ID of prefs strings */
#define	kPrefsFNameIndex	1					/* string corresponding to folder name */


/*========================================================  Prototypes  */

Boolean CanUseFindFolder (void);
Boolean GetPrefsFPathSyst7 (long *, short *);
Boolean CreatePrefsFolder (short *);
Boolean GetPrefsFPathSyst6 (short *);
Boolean WritePrefsFileSyst7 (long *, short *, prefsInfo *);
Boolean WritePrefsFileSyst6 (short *, prefsInfo *);
Boolean SavePrefs (prefsInfo *);
Boolean ReadPrefsFileSyst7 (long *, short *, prefsInfo *);
Boolean ReadPrefsFileSyst6 (short *, prefsInfo *);
Boolean LoadPrefs (prefsInfo *);


