/*============================================================*/
/*============================================================*/
/*==														==*/
/*==					Render Header						==*/
/*==														==*/
/*============================================================*/
/*============================================================*/


/*========================================================  Prototypes  */

void FillInTheSrcAndMaskRect (playerType *);
void FillInTheSrcAndMaskAddr (playerType *);
void DetermineFrameRate (void);
void HandlePreGraphics (void);
void HandlePostGraphics (void);
void RenderScene (void);
void DisplayScoreDigit (short, short, short);
void DisplayPlayerFouls (short);
void DisplayOpponentFouls (short);
void TwinkleAStar (void);
void DrawAllStars (void);
void UpdateArrows (void);
void UpdateBallTimers (playerType *);


/*========================================================  External Variables */

extern playerType	thePlayer;
extern playerType	theOpponent;
extern ballType		theBall;
extern cursorType	boardCursor;
extern Rect			leftTimingDest, rightTimingDest;
extern Rect			playerSrcRects[9][3], fadeMaskRects[9][3], opponentSrcRects[9][3];
extern long			playerSrcAddrs[9][3], fadeMaskAddrs[9][3];
extern long			maskAddrs[9][3], opponentSrcAddrs[9][3];
extern long			screenRowAddrs[480], workRowOffsets[480];
extern short		isDepth;
extern Boolean		useQD, isColor, netGameInSession, playerInBack, drawThisFrame;
extern Boolean		imTheMaster, madeThePickUp, leftGoalIsPlayers, doSkipFrames;
extern Boolean		splashIsUp;


